package com.example.dao;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import org.springframework.transaction.annotation.Transactional;


@Transactional
public class SystemSettingsDAOImpl implements SystemSettingsDAO {
    private EntityManager entityManager;

    @PersistenceContext(name="TestPU")
    public void setEntityManager(EntityManager newEm) {
        this.entityManager = newEm;
    }
    
    public String getProperty(String propName) {
        Query findQuery;
        SystemSettingEntity result;
        
        if (entityManager != null) { 
            findQuery = entityManager.createNamedQuery(
                    "SystemSettingEntity.findByKey");
            findQuery.setParameter("key", propName);
            
            result = (SystemSettingEntity) findQuery.getSingleResult();
            
            return result.getValue();
        } else {
            return "***entityManager == null ****";
        }
    }
}
